3DFace with RhinoCommon

What is the easiest way to create a quad mesh with one face from 4 points–like the Rhino command 3DFace? Can this be done simply with Grasshopper components?

Yes, all you need are these components:

Thanks! I imagined there must be a simpler way to do this.

In GHPython, you can do this similarly with the API:

import Rhino.Geometry as rg

pt0 = rg.Point3d(30.861632, -25.282937, 0)
pt1 = rg.Point3d(32.915315, -17.996112, 0)
pt2 = rg.Point3d(42.359933, -22.419548, 0)
pt3 = rg.Point3d(41.672351, -28.502883, 0)

vertices = [pt0, pt1, pt2, pt3]

mesh = rg.Mesh()

for vtx in vertices:
    mesh.Vertices.Add(vtx)

mesh.Faces.AddFace(0, 1, 2, 3)

a = mesh  # GHPython component output
1 Like